# gitRepository

abstract fun gitRepository(url: URI): VersionControlRepository

Registers a Git repository that contains some components that should be used as source dependencies.

A Git repository can safely be registered multiple times.

#### Return

An object that can be used to configure the details of the repository.

#### Since

4.10

#### Parameters

url

The URL of the Git repository.

abstract fun gitRepository(url: URI, configureAction: Action<in VersionControlRepository>)

Registers a Git repository that contains some components that should be used as dependencies.

A Git repository can safely be registered multiple times.

#### Since

4.10

#### Parameters

url

The URL of the Git repository.

configureAction

An action to use to configure the repository.